.App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #09d3ac;
}

.ant-select-auto-complete.ant-select .ant-input {
  padding-left: 0px !important;
  padding-right: 0px !important;
  padding-top: 0px !important;
  padding-bottom: 8px !important;
}

.ant-select-selection__placeholder {
  margin-left: 0px !important;
  margin-right: 0px !important;
  font-size: 16px;
}

.ant-carousel .slick-slide {
  text-align: center;
  height: 160px;
  line-height: 160px;
  background: #364d79;
  overflow: hidden;
}

.ant-carousel .slick-slide h3 {
  color: #fff;
}

.ant-message .anticon {
  vertical-align: 0px !important;
  top: 0 !important;
}

.ellipsis-text {
  display: inline-block;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}

.ellipsis-text-inline1 {
  display: inline-block;
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
}

.ellipsis-text1 {
  display: inline-block;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}

.scale:hover {
  transform: scale(1.6);
  transform: 0.4s;
}

.hover-button:hover {
  transform: scale(1.1);
}

.shadow {
  box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
}

.ant-input:focus {
  -webkit-box-shadow: 0 0 0 0 white !important;
}

.ant-select-selection {
  -webkit-box-shadow: 0 0 0 0 white !important;
}

.ant-select-focused {
  box-shadow: none !important;
}

.ant-upload.ant-upload-select-picture-card {
  background-color: transparent !important;
}

.ant-spin-dot-item {
  background: rgb(2, 0, 36) !important;
  background: linear-gradient(
    90deg,
    rgba(2, 0, 36, 1) 0%,
    rgba(1, 36, 87, 1) 18%,
    rgba(0, 113, 197, 1) 29%,
    rgba(0, 131, 208, 1) 44%,
    rgba(0, 151, 220, 1) 57%,
    rgba(0, 175, 234, 1) 88%,
    rgba(0, 190, 242, 1) 100%,
    rgba(0, 200, 248, 1) 100%,
    rgba(0, 212, 255, 1) 100%
  ) !important;
}

/* .ant-table-thead,
.ant-table-row {
  background: #f3f7f5;
} */

/* select {
  -webkit-appearance: none;
  -moz-appearance: none;
  background: transparent;
  background-image: url("data:image/svg+xml;utf8,<svg fill='gray' height='16' viewBox='0 0 24 14' width='16' xmlns='http://www.w3.org/2000/svg'><path d='M6 7.2L12 13.2L18 7.2L20.4 8.4L12 16.8L3.6 8.4L6 7.2Z'/><path d='M0 0h24v24H0z' fill='none'/></svg>");
  background-repeat: no-repeat;
  background-position-x: calc(100% - 5px);
  background-position-y: 8px;
  padding-left: 12px;
  padding-right: 12px;
  min-width: 120px;
  font-size: calc(11px + 0.15vw);
  height: 42px !important;
  border-color: #d9d9d9;

} */

/* .ant-table-layout-fixed table {
  table-layout: auto !important;
} */

.cascader-padding > .ant-cascader-picker-label {
  padding-left: 12px !important;
}

.ant-table-thead {
  background-color: #f3f7f5;
}

.boder-full {
  border: 1px solid rgba(122, 123, 123, 0.5);
  padding: 16px;
  height: 100%;
}
